



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>如何在Azure上创建和部署云服务</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">如何在Azure上创建和部署云服务</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-01 06:11:21 </span>
						</div>
										<div class="post-content">
											
		<p>Azure 管理门户提供两种方法可用来创建和部署一个云服务：<strong>快速创建</strong>和<strong>自定义创建</strong>.</p>
<p>本主题说明如何使用快速创建方法来创建新的云服务，然后使用<strong>上传</strong>来上载和部署一套在 Azure 的云服务。当您使用此方法时，Azure 管理门户使可用的方便链接，当您去完成所有的要求。如果你准备好部署你的云服务，当您创建它时，你可以同时使用<strong>自定义创建</strong>两个.</p>
<p><strong>注</strong>如果你打算将发布您的云服务从 Windows 团队基础服务 （TFS），使用快速创建，然后设置 TFS 出版从<strong>快速启动</strong>或仪表板。为更多的信息，见<a href="http://go.microsoft.com/fwlink/?linkid=251796&amp;clcid=0x804" rel="external nofollow noreferrer">到 Azure 通过使用 Visual Studio 网上持续交付</a>或请参阅<strong>快速启动</strong>页的帮助。</p>
<h4>表的内容</h4>
<ul><li><a href="http://azure.microsoft.com/zh-cn/documentation/articles/cloud-services-how-to-create-deploy/#concepts" rel="external nofollow noreferrer">概念</a></li>
<li><a href="http://azure.microsoft.com/zh-cn/documentation/articles/cloud-services-how-to-create-deploy/#prepare" rel="external nofollow noreferrer">编写您的应用程序</a></li>
<li><a href="http://azure.microsoft.com/zh-cn/documentation/articles/cloud-services-how-to-create-deploy/#begin" rel="external nofollow noreferrer">在你开始之前</a></li>
<li><a href="http://azure.microsoft.com/zh-cn/documentation/articles/cloud-services-how-to-create-deploy/#quick" rel="external nofollow noreferrer">如何： 创建使用快速创建一个云服务</a></li>
<li><a href="http://azure.microsoft.com/zh-cn/documentation/articles/cloud-services-how-to-create-deploy/#uploadcertificate" rel="external nofollow noreferrer">如何： 上载一个云服务的证书</a></li>
<li><a href="http://azure.microsoft.com/zh-cn/documentation/articles/cloud-services-how-to-create-deploy/#deploy" rel="external nofollow noreferrer">如何： 部署云服务</a></li></ul>
<h4>概念</h4>
<p>三个组件是为了部署在 Azure 的云服务的应用程序所必需的：</p>
<blockquote><ul><li><p><strong>服务定义文件</strong>云服务定义文件 （.csdef） 定义服务模型中，包括角色的数量。</p></li>
<li><p><strong>服务配置文件</strong>云服务配置文件 （.cscfg） 提供配置设置的云计算服务和个人的角色，包括角色实例的数量。</p></li>
<li><p><strong>服务包</strong>服务包 （.cspkg） 包含应用程序代码和服务定义文件。</p></li></ul></blockquote>
<h4>编写您的应用程序</h4>
<p>您可以部署一个云服务之前，您必须从应用程序代码和一个云服务配置文件 （.cscfg） 创建的云服务包 （.cspkg）。每个云服务包中包含应用程序文件和配置。服务配置文件中提供的配置设置。</p>
<p>Azure SDK 提供了用于制备这些所需的部署文件的工具。你可以从<a href="http://www.windowsazure.com/en-us/develop/downloads/" rel="external nofollow noreferrer">Azure 下载</a>页面，在其中你想开发您的应用程序代码的语言安装 SDK。</p>
<p>三种云服务功能需要特殊的配置之前导出的服务包：</p>
<ul><li><p>如果你想要部署安全套接字层 (SSL) 用于数据加密的云服务，配置应用程序以使用 SSL。有关详细信息，请参阅<a href="http://msdn.microsoft.com/en-us/library/windowsazure/ff795779.aspx" rel="external nofollow noreferrer">如何配置 SSL 证书的 HTTPS 端点上</a>.</p></li>
<li><p>如果您想要配置到角色实例的远程桌面连接，远程桌面配置角色。有关准备用于远程访问的服务定义文件的详细信息，请参阅<a href="http://msdn.microsoft.com/en-us/library/hh124107.aspx" rel="external nofollow noreferrer">设置远程桌面连接在 Azure 中的作用</a>.</p></li>
<li><p>如果您想要配置详细监测你的云服务，为云服务启用 Azure 诊断。<em>最小的监测</em>（默认的监视级别） 使用从主机操作系统的角色实例 （虚拟机） 中收集的性能计数器。"详细监测 * 收集额外的度量标准，基于性能数据内角色实例以便更仔细的分析，应用程序处理过程中发生的问题。要找出如何启用 Azure 诊断程序，请参阅<a href="http://www.windowsazure.com/en-us/develop/net/common-tasks/diagnostics/" rel="external nofollow noreferrer">启用诊断在 Azure 中</a>.</p></li>
<li><p>若要创建部署 web 角色或工作者角色的云服务，必须创建的服务包。有关与该软件包相关的文件的详细信息，请参阅<a href="http://msdn.microsoft.com/en-us/library/hh124108.aspx" rel="external nofollow noreferrer">设置了云服务，Azure</a>。要创建软件包文件，请参阅<a href="http://msdn.microsoft.com/en-us/library/hh403979.aspx" rel="external nofollow noreferrer">Windows Azure 应用程序软件包</a>。如果您正在使用 Visual Studio 开发应用程序，请参阅<a href="http://msdn.microsoft.com/en-us/library/ff683672.aspx" rel="external nofollow noreferrer">发布云服务使用 Azure 工具</a>.</p></li></ul>
<h4>在你开始之前</h4>
<ul><li><p>如果您还没有安装 Azure SDK，<strong>安装 Azure SDK</strong>以打开<a href="http://www.windowsazure.com/en-us/develop/downloads/" rel="external nofollow noreferrer">Azure 下载页面</a>，请单击，然后下载 SDK，您愿意开发您的代码的语言。(你将有机会做到这一点以后）。</p></li>
<li><p>如果任何角色实例需要一个证书，创建的证书。云服务使用私钥需要一个.pfx 文件。创建和部署云服务时，可以将证书上载到 Azure。有关证书的信息，请参阅<a href="http://msdn.microsoft.com/en-us/library/gg981929.aspx" rel="external nofollow noreferrer">管理证书</a>.</p></li>
<li><p>如果您计划将云服务部署到亲合团体，创建亲和组。你可以使用亲和组来将您的云计算服务和其他 Azure 服务部署到一个区域中的同一位置。你可以在<strong>网络</strong>领域的管理门户，<strong>亲合团体</strong>页上创建亲和组。有关详细信息，请参阅<a href="http://msdn.microsoft.com/en-us/library/jj156209.aspx" rel="external nofollow noreferrer">创建管理门户中亲和团体</a>.</p></li></ul>
<h4>如何： 创建使用快速创建一个云服务</h4>
<ol><li><p>在<a href="http://manage.windowsazure.com/" rel="external nofollow noreferrer">管理门户</a>中，单击<strong>新建</strong>&gt;<strong>计算</strong>&gt;<strong>云服务</strong>&gt;<strong>快速创建</strong>.</p>
<p><img referrerpolicy="no-referrer"src="https://acomdpsstorage.blob.core.windows.net/dpsmedia-prod/azure.microsoft.com/en-us/documentation/articles/cloud-services-how-to-create-deploy/20141204060518/cloudservices_quickcreate.png" /></p></li>
<li><p>在<strong>URL</strong>中，输入要使用公共 URL 中的用于访问您的云服务在生产部署中的子域名称。生产部署的 URL 格式是： http://<em>myURL</em>.cloudapp.net。</p></li>
<li><p>在<strong>区域或亲和组</strong>，选择的地理区域或亲和力组部署到云服务。如果您想要将你的云服务部署到区域内其他 Azure 服务相同的位置，请选择亲和团体。</p></li>
<li><p>单击<strong>创建云服务</strong>.</p>
<p><img referrerpolicy="no-referrer"src="https://acomdpsstorage.blob.core.windows.net/dpsmedia-prod/azure.microsoft.com/en-us/documentation/articles/cloud-services-how-to-create-deploy/20141204060518/cloudservices_regionlist.png" /></p>
<p>您可以监视在窗口底部的消息区域中的进程的状态。</p>
<p><strong>云服务</strong>领域开篇所显示的新的云服务的不同而不同。当状态更改为已创建时，创建云服务已成功完成。</p>
<p><img referrerpolicy="no-referrer"src="https://acomdpsstorage.blob.core.windows.net/dpsmedia-prod/azure.microsoft.com/en-us/documentation/articles/cloud-services-how-to-create-deploy/20141204060518/cloudservices_cloudservicespage.png" /></p></li></ol>
<h4>如何： 上载一个云服务的证书</h4>
<ol><li><p>在<a href="http://manage.windowsazure.com/" rel="external nofollow noreferrer">管理门户</a>中，单击<strong>云服务</strong>，单击云服务的名称，然后单击<strong>证书</strong>.</p>
<p><img referrerpolicy="no-referrer"src="https://acomdpsstorage.blob.core.windows.net/dpsmedia-prod/azure.microsoft.com/en-us/documentation/articles/cloud-services-how-to-create-deploy/20141204060518/cloudservices_emptydashboard.png" /></p></li>
<li><p>单击<strong>上载证书</strong>或<strong>上传</strong>.</p></li>
<li><p>在<strong>文件</strong>中，使用<strong>浏览</strong>来选择证书 （.pfx 文件）。</p></li>
<li><p>在<strong>密码</strong>，输入证书的专用密钥。</p></li>
<li><p>单击<strong>确定</strong>（复选标记）。</p>
<p><img referrerpolicy="no-referrer"src="https://acomdpsstorage.blob.core.windows.net/dpsmedia-prod/azure.microsoft.com/en-us/documentation/articles/cloud-services-how-to-create-deploy/20141204060518/cloudservices_addacertificate.png" /></p>
<p>你可以观看上载在消息区域中，如下图所示的进展。当上传完成后时，该证书被添加到表。在消息区域中，单击确定关闭该消息。</p>
<p><img referrerpolicy="no-referrer"src="https://acomdpsstorage.blob.core.windows.net/dpsmedia-prod/azure.microsoft.com/en-us/documentation/articles/cloud-services-how-to-create-deploy/20141204060518/cloudservices_certificateprogress.png" /></p></li></ol>
<h4>如何： 部署云服务</h4>
<ol><li><p>在<a href="http://manage.windowsazure.com/" rel="external nofollow noreferrer">管理门户</a>中，单击<strong>云服务</strong>，单击的云服务，名称然后单击<strong>仪表板</strong>.</p>
<p>在生产环境中打开的仪表板，在这一点上，您可以选择分期部署您的应用程序在暂存环境中。有关详细信息，请参阅<a href="http://msdn.microsoft.com/en-us/library/gg433027.aspx" rel="external nofollow noreferrer">管理部署在 Azure 中</a>.</p></li>
<li><p>单击<strong>上载新的生产部署</strong>或<strong>上传</strong>.</p></li>
<li><p>在<strong>部署标签</strong>，输入新的部署 &mdash; &mdash; 例如，MyCloudServicev4 的名称。</p></li>
<li><p>在<strong>包</strong>，使用<strong>浏览</strong>以选择服务包 （.cspkg） 要使用的文件。</p></li>
<li><p>在<strong>配置</strong>中，使用<strong>浏览</strong>以选择服务配置文件 （.cscfg） 使用。</p></li>
<li><p>如果云服务将包括任何角色，同时只能有一个实例，请选择该<strong>部署，即使一个或多个角色包含单个实例</strong>的复选框，以启用该部署继续。</p></li></ol>
<p>Azure 只能保证 99.95%访问云服务在维修和服务的更新过程中如果每个角色都有至少两个实例。如果需要，可以<strong>规模</strong>页上添加额外角色实例之后您将部署云服务。有关的详细信息，请参阅<a href="http://www.windowsazure.com/en-us/support/legal/sla/" rel="external nofollow noreferrer">服务级别协议</a>.</p>
<ol><li><p>单击<strong>确定</strong>（复选标记） 开始云服务部署。</p>
<p><img referrerpolicy="no-referrer"src="https://acomdpsstorage.blob.core.windows.net/dpsmedia-prod/azure.microsoft.com/en-us/documentation/articles/cloud-services-how-to-create-deploy/20141204060518/cloudservices_uploadapackage.png" /></p>
<p>您可以监视部署消息区中的地位。单击确定来隐藏该消息。</p>
<p><img referrerpolicy="no-referrer"src="https://acomdpsstorage.blob.core.windows.net/dpsmedia-prod/azure.microsoft.com/en-us/documentation/articles/cloud-services-how-to-create-deploy/20141204060518/cloudservices_uploadprogress.png" /></p></li></ol>
<h5>验证您的部署已成功完成</h5>
<ol><li><p>单击<strong>仪表板</strong>.</p>
<p>状态应显示该服务是<strong>运行</strong>.</p></li>
<li><p>下<strong>快速浏览</strong>，请单击该网站的 URL，以在 web 浏览器中打开您的云服务。</p>
<p><img referrerpolicy="no-referrer"src="https://acomdpsstorage.blob.core.windows.net/dpsmedia-prod/azure.microsoft.com/en-us/documentation/articles/cloud-services-how-to-create-deploy/20141204060518/cloudservices_quickglance.png" /></p></li></ol>																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/e9p34kyq.html">Code Page   编码</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qxrgdjq.html">JS插件之&mdash;&mdash;ztree</a>
		</li>
						<li><a href="https://www.batexi.com/a/4951yw6q.html">&lbrack;Android Tips&rsqb; 7&period; 以调试模式启动应用</a>
		</li>
						<li><a href="https://www.batexi.com/a/93xnko09.html">ASP&period;NET中后台注册js脚本攻略（转）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdeoyx79.html">使用zookeeper实现分布式master选举（c 接口版本）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8k1vol79.html">learning from the previous teams</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1zl6429.html">Java发送Http请求</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwdzw4y8.html">dede版权信息修改</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4y0500q.html">Sicily 1323&period; Switch text</a>
		</li>
						<li><a href="https://www.batexi.com/a/qy1d2ydq.html">&lbrack;置顶&rsqb; 单键模式的C&plus;&plus;描述</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7zm1ek9.html">Echart饼图、柱状图、折线图&lpar;pie、bar、line&rpar;加入点击事件</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kp5ey59.html">手机自动化测试培训：appium目录结构分析</a>
		</li>
						<li><a href="https://www.batexi.com/a/93y3vwn8.html">UCOS-II学习记录</a>
		</li>
						<li><a href="https://www.batexi.com/a/qljw2219.html">Java多线程高并发学习笔记&lpar;一&rpar;&mdash;&mdash;Thread&amp;amp&semi;Runnable</a>
		</li>
						<li><a href="https://www.batexi.com/a/8megk60q.html">为什么要使用50ohm阻抗？</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gjeo0l9.html">list对象中根据两个参数过滤数据</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gjx3xl9.html">自动化运维&lpar;2&rpar;之一键式单实例安装MySQL</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1repr58.html">python学习 day16 &lpar;3月21日&rpar;----&lpar;正则）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyvvv6gq.html">iOS隐藏状态栏</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7egzke9.html">OpenGL 多线程共享纹理</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/qvv745oq.html">学习PYTHON第一天</a>
			</li>
						<li><a href="https://www.batexi.com/a/96o4vxj9.html">hdu 5646 DZY Loves Partition 二分&plus;数学分析&plus;递推</a>
			</li>
						<li><a href="https://www.batexi.com/a/qn1l3728.html">使用KVC</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdex6nj9.html">Delphi XE5  android 图解为Android应用制作签名</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdele0j9.html">PHP mysql&lowbar;real&lowbar;escape&lowbar;string&lpar;&rpar; 函数</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4ywyj3q.html">UVA 11733&Tab; Airports</a>
			</li>
						<li><a href="https://www.batexi.com/a/9j0g0lgq.html">安装，卸载或重装Vmware Workstation时失败的官方解决方案</a>
			</li>
						<li><a href="https://www.batexi.com/a/9gmkmke9.html">通过 SignalR 类库，实现 ASP&period;NET MVC 的实时通信</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pjed449.html">&lbrack;状压dp&rsqb;经典TSP</a>
			</li>
						<li><a href="https://www.batexi.com/a/qlm7l3e9.html">SPRING IN ACTION 第4版笔记-第四章ASPECT-ORIENTED SPRING-002-AOP术语解析</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
